Урок 15: require "unicode_utils" зависает при выполнении

[Д] Дмитрий, 21 июля 2016, 19:51 , 3 подписчика

В таком варианте gem работает нормально:

require "unicode_utils/downcase"
require "unicode_utils/upcase"

А в этом, отказывается напрочь:

require "unicode_utils"

Переустановка gem не спасает.

Обсуждение (4)


Михаил Бутлицкий Учитель

[М]

Надо изучать вопрос.

Еще можно удалить гем, а затем поставить предыдущую версию

gem install unicode_utils -v 1.3.0

[Д]

Попробовал, но ничего не изменилось.


Михаил Бутлицкий Учитель

[М]

В воскресенье тогда в скайпе с экраном разберёмся.


Михаил Бутлицкий Учитель

[М]

Бага гема на винде: https://github.com/lang/unicode_utils/issues/6

Воркэраунд — либо подключать отдельные функции, либо использовать аналогичный гем unicode

  Unicode::upcase(str)
  Unicode::downcase(str)

См. https://github.com/petrovich/petrovich-ruby/issues/37